@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

header {
    background-color: #f1f1f1;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

nav {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
}

.navbar-a {
    text-decoration: none;
    color: #111111;
    font-size: 16px;
    margin-right: 32px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

#active-nav-a {
    font-weight: bold;
    color: #ed1c24;
}

#active-nav-a::before {
    content: '';
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 2px;
    background: #ed1c24;
    transition: .3s;
}

.navbar-icon {
    text-decoration: none;
    color: #111111;
    font-size: 16px;
    margin-right: 32px;
    position: relative;
}

.navbar-a::before {
    content: '';
    position: absolute;
    top: 100%;
    left: 0;
    width: 0;
    height: 2px;
    background: #ed1c24;
    transition: .3s;
}

.navbar-a:hover::before {
    width: 100%;
}

.navbar-a:hover {
    color: #ed1c24;
    transition: .3s;
}

.navbar-icon:hover {
    fill: #ed1c24;
}

.lang-icon {
    width: 20px;
    display: block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 100px;
    overflow: auto;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    right: 32px;
    top: 32px;
    z-index: 1;
    border-radius: 10px;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

.show {display: block;}

.flag {
    width: 30px;
    display: block;
    margin-right: 5px;
}

.navbar-logo-img {
    height: 52px;
    width: auto;
    margin-left: 32px;
    margin-right: 32px;
}

.firstsection {
    aspect-ratio: 1280 /416;
    width: 100%;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-image: url(img/hellosection.svg);
    display: flex;
    justify-content: center;
    align-items: center;
}

.spacer {
    aspect-ratio: 1280 / 100;
    width: 100%;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-image: url(img/spacer.svg);
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: -2px;
    margin-bottom: -2px;
}

.spacer-2 {
    aspect-ratio: 1280 / 100;
    width: 100%;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-image: url(img/spacer-2.svg);
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: -2px;
    margin-bottom: -2px;
}

button {
    font-size: 30px;
    height: 60px;
    width: 280px;
    border-radius: 30px;
    margin: 16px;
    font-family: Roboto;
    border: 0;
    font-weight: bold;
    background-color: #ed1c24;
    cursor: pointer;
    color: #111111;
}

button:hover {
    box-shadow: 0px 0px 8px #111111;
    transition: 0.3s;
}

h1 {
    font-family: Roboto;
    padding: 32px;
    font-size: 32px;
}

h2 {
    font-family: Roboto;
    font-size: 26.67px;
    margin: 32px;
}

.p-26-67 {
    font-family: Roboto;
    font-size: 26.67px;
    margin: 32px;
}

.p-21-33 {
    font-family: Roboto;
    font-size: 21.33px;
    margin: 32px;
}

.p-21-33-b {
    font-family: Roboto;
    font-size: 21.33px;
    margin: 0px 16px 16px 16px;
    font-weight: bold;
}

.p-26-67-b {
    font-family: Roboto;
    font-size: 26.67px;
    margin: 32px;
    font-weight: bold;
}

.p-21-33-edu {
    font-family: Roboto;
    font-size: 21.33px;
    margin-left: 32px;
    margin-right: 32px;
}

.p-blog-des {
    font-family: Roboto;
    font-size: 16px;
    margin: 0px 16px 16px 16px;
}

.p-blog-date {
    font-family: Roboto;
    font-size: 16px;
    margin: 0px 16px 16px 16px;
    font-style: italic;
}

about {
    background-color: #f1f1f1;
    display: block;
}

.about-div {
    display: flex;
}

translate {
    background-color: #f1f1f1;
    display: block;
}


.about-pp {
    width: 266.892px;
    height: 266.892px;
    border-radius: 133.446px;
    box-shadow: 0px 0px 5px 0px rgba(255,0,0,1);
    margin-left: 32px;
    margin-bottom: 32px;
}

course {
    background-color: #f2eaea;
    display: block;
}

.more-button {
    display: flex;
    justify-content: flex-end;
    padding: 16px;
}

.course-element-img {
    width: 60px;
    display: block;
    margin-left: 32px;
    margin-right: 32px;
}

.course-elements {
    display: flex;
    justify-content: space-around;
}

.course-element {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

education {
    display: block;
    background-color: #f2eaea;
}

.edu-edudiv {
    padding: 20px;
}

certificate {
    display: block;
    background-color: #f1f1f1;
}

.education-div{
    display: flex;
    justify-content: flex-start;
}

.education-img {
    width: 480px;
    height: 240px;
    border-radius: 32px;
    box-shadow: 0px 0px 5px 0px rgba(255,0,0,1);
    margin-left: 32px;
    margin-bottom: 32px;
}

blog {
    display: block;
    background-color: #f2eaea;
}

.blog-div {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.blog-div a{
    text-decoration: none;
    color: #111111;
}

.blog-element {
    display: flex;
    flex-direction: column;
    width: 376px;
    justify-content: flex-start;
    background-color: #f1f1f1;
    box-shadow: 0px 0px 5px 0px rgba(255,0,0,1);
    border-radius: 20px;
    cursor: pointer;
    margin: 32px;
}

.blog-element:hover {
    box-shadow: 0px 0px 15px 0px rgba(255,0,0,1);
    transition: 0.3s;
}

.blog-img {
    width: 360px;
    height: 180px;
    border-radius: 12px;
    margin: 8px;
}

footer {
    display: block;
    background-color: #f1f1f1;
    
}

.footer-div {
    display: flex;
    justify-content: space-between;
    margin-left: 32px;
    margin-right: 32px;
    align-items: center;
}

.footer-elements {
    display: flex;
    justify-content: space-between;
}

.footer-img {
    height: 80px;
    cursor: pointer;
}

.socialmedia {
    margin-left: 64px;
}

.social-media-img {
    width: 37.333px;
    height: 37.333px;
    transition: 0.3s;
}

.social-media-img:hover {
    transform: scale(1.2);
    transition: 0.3s;
}

.contact-head {
    font-family: Roboto;
    font-weight: bold;
    margin-bottom: 16px;
}

.links {
    display: flex;
    flex-direction: column;
    margin-left: 64px;
}

.contact-a {
    font-family: Roboto;
    text-decoration: none;
    color: #111111;
    margin: 2px;
}

.contact-a:hover {
    color: #ed1c24;
}

.contact-mp {
    font-family: Roboto;
    text-decoration: none;
    color: #111111;
    margin-top: 2px;
}

.copyright {
    display: flex;
    justify-content: center;
    align-items: center;
}

.copyright-a {
    font-family: Roboto;
    text-decoration: none;
    color: #111111;
    font-weight: bold;
    padding: 8px;
}

.hamburger-icon {
    margin: auto 0;
    display: none;
    cursor: pointer;
}

.hamburger-icon div {
    width: 35px;
    height: 3px;
    background-color: #111111;
    margin: 6px 32px;
    transition: 0.4s;
}

.open .bar1 {
    -webkit-transform: rotate(-45deg) translate(-6px, 6px);
    transform: rotate(-45deg) translate(-6px, 6px);
}

.open .bar2 {
    opacity: 0;
}

.open .bar3 {
    -webkit-transform: rotate(45deg) translate(-6px, -8px);
    transform: rotate(45deg) translate(-6px, -8px);
}

.open .mobile-nav {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
}

.mobile-nav {
    display: none;
    position: absolute;
    top: 50px;
    left: 0;
    height: calc(100vh - 50px);
    width: 100%;
}

.course-page {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 4.5vw 4.5vw 4.5vw;
    align-items: center;
}

.course-page-section {
    display: flex;
    width: 85vw;
    border-radius: 3.75vw;
    box-shadow: 0px 0px 8px 0px rgba(0,0,0,0.2);
    padding: 32px;
    margin: 16px;
}

.course-page-section img{
    width: 7.5vw;
}

.course-page-section p {
    font-size: 20px;
}

.edu-section {
    padding: 20px;
    margin: 20px;
    box-shadow: 0px 0px 8px 0px rgba(0,0,0,0.2);
    border-radius: 36px;
}

.edu-section p, h2 {
    margin: 20px;
}

.filterbuttons {
    display: flex;
    justify-content: flex-end;
    flex-wrap: wrap;
}

.filterbuttons button{
    font-size: 16px;
    padding: 10px;
    margin: 5px;
    width: auto;
    height: auto;
    background-color: #f2eaea;
    border: solid 2px #ed1c24;
    transition: .3s;
    font-weight: unset;
}

.filterbuttons button:focus {
    background-color: #ed1c24;
    transition: .3s;
    font-weight: bold;
}

.blog-read-section {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.blog-head-img {
    width: 85%;
    height: auto;
    border-radius: 32px;
    box-shadow: 0px 0px 15px 0px rgba(255,0,0,1);
}

.date-author {
    width: 80%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 32px 0px 32px 0;
}

.blog-read-section-main-text {
    width: 85%;
    margin-bottom: 32px;
}

.p-date-author {
    font-family: Roboto;
    font-size: 16px;
    margin: 0;
    font-style: italic;
}

.addition {
    display: flex;
}

.addition img {
    width: 300px;
    height: 300px;
}

@media only screen and (max-width: 1050px) {
    header nav{
        display: none;
    }

    .hamburger-icon {
        display: block;
    }

    .navbar-a {
        width: 100%;
        background-color: #f1f1f1;
        font-size: 25px;
        margin: 0;
        padding: 10px;
        text-align: center;
        font-weight: bold;
    }

    .education-img {
        width: 360px;
        height: 180px;
        border-radius: 20px;
    }

    .education-div{
        justify-content: flex-start;
        flex-direction: column;
    }

    .footer-div {
        justify-content: center;
        margin-left: 0px;
        margin-right: 0px;
        flex-direction: column;
    }

    .footer-elements {
        justify-content: center;
        flex-direction: column;
        align-items: center;
    }

    .footer-img {
        height: 60px;
        margin: 20px;
    }

    .socialmedia {
        margin: 10px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .contact {
        display: flex;
    }

    .social-media-img {
        width: 50px;
        height: 50px;
    }

    .social-media-img:hover {
        transform: scale(1.2);
        transition: 0.3s;
    }

    .contact-head {
        display: none;
    }

    .links {
        margin: 0;
        justify-content: center;
        align-items: center;
    }

    .contact-mp {
        margin-top: 25px;
        margin-left: 10px;
        margin-right: 10px;
    }

    .about-div {
        flex-direction: column;
    }

    .course-element-img {
        width: 30px;
        margin-left: 16px;
        margin-right: 16px;
    }

    .p-26-67-b {
        font-size: 16px;
        margin: 16px;
    }

    button {
        font-size: 20px;
        height: 40px;
        width: 187px;
        border-radius: 20px;
        margin: 10px;
    }

    .about-pp {
        width: 180px;
        height: 180px;
        border-radius: 90px;
        margin: 0;
        align-self: center;
    }

    h2 {
        margin: 0;
        text-align: center;
        margin-top: 32px;
    }
    
}

@media only screen and (max-width: 768px) {
    .course-page-section {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .course-page-section img{
        width: 25vw;
    }

    .filterbuttons {
        justify-content: center;
    }

    .filterbuttons button{
        padding: 2px 10px 2px 10px;
    }

    .addition {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    
    .addition img {
        width: 150px;
        height: 150px;
    }
}

@media only screen and (max-width: 670px) {
    .firstsection {
        aspect-ratio: 1280 / 1040;
        background-image: url(img/hellosection-mobile.svg);
    }

    .more-button {
        justify-content: center;
    }
}

@media only screen and (max-width: 420px) {
    button {
        font-size: 15px;
        height: 30px;
        width: 140px;
        border-radius: 15px;
        margin: 8px;
    }

    .hamburger-icon div {
        margin: 6px 16px;
        transition: 0.4s;
    }

    .education-img {
        width: 300px;
        height: 150px;
    }

    .blog-element {
        width: 316px;
        margin: 8px;
    }
    
    .blog-img {
        width: 300px;
        height: 150px;
        border-radius: 12px;
        margin: 8px;
    }

    .contact {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}

@media only screen and (max-width: 365px) {
    .navbar-logo-img {
        height: 26px;
    }

    .education-img {
        width: 80%;
        height: calc(80% / 2);
    }

    .blog-element {
        width: 80%;
    }

    .blog-img {
        width: calc(80vw - 16px);
        height: calc((80vw - 16px) / 2 );
    }

    .course-element-img {
        width: 15px;
    }

    .course-elements {
        flex-direction: column;
    }

    .p-26-67-b {
        font-size: 12px;
    }
    
    .footer-img {
        width: 80%;
    }

   
}

@media only screen and (max-width: 316px) {
    .Hello-Buttons {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }
}

@media only screen and (max-width: 230px) {
    .hamburger-icon div {
        width: 17.5px;
        margin: 6px 0px;
    }

    .contact-mp {
        font-size: 80%;
    }

    .addition img {
        width: 50px;
        height: 50px;
    }
}

@media only screen and (max-width: 200px) {
    .about-pp {
        width: 80%;
        height: 80%;
    }
    h1, h2, p, .p-26-67, .p-21-33, .p-21-33-b, .p-26-67-b, .p-21-33-edu, .p-blog-des, .p-blog-date, .copyright-a{
        font-size: 80%;
    }

    .navbar-logo-img {
       width: 50%;
    }

    button {
        font-size: 80%;
        height: 50%;
        width: 100%;
        border-radius: 15px;
        margin: 8px;
    }
}